/*
	os2dir.h -mla

	% oakland OS/2 file and directory MACROS

	OWL 1.2
	Copyright (c) 1990, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	10/22/90 mla	added OFILE_PARENTDIR, made OFILE_CURRDIR consistent
	10/28/90 mla	added os2dir_IsFullSpec
	10/31/90 jmd	remove OFILE_SEPCHAR
*/
/* -------------------------------------------------------------------------- */

/* This file gets included twice from within OAKDIR.H. On the first pass
	"_OAKDIR_" is not defined, and on the second pass it is.
*/
#ifndef _OAKDIR_
#	define OFILE_NAMELEN	13
#	define OFILE_PATHLEN	128
#	define OFILE_ENVSEP		';'	
#	define OFILE_WILDCARD	"*.*"
#	define OFILE_CURRDIR	"."
#	define OFILE_PARENTDIR	".."
#else

/* Oakland directory handling functions */
/*  OS2DIR.C  */
extern odir_Open_func(os2dir_Open);
extern odir_Read_func(os2dir_Read);
extern odir_Close_func(os2dir_Close);
#define	os2file_Remove(fname_spec) ((DosDelete(fname_spec, 0L) == 0) ? TRUE : FALSE)

#define odir_Open			os2dir_Open
#define odir_Read			os2dir_Read
#define odir_Close			os2dir_Close
#define ofile_Remove		os2file_Remove

/* Path name operator functions */
extern odir_Ascend_func(os2dir_Ascend);
extern odir_Descend_func(os2dir_Descend);
extern odir_Split_func(os2dir_Split);
extern odir_Join_func(os2dir_Join);
extern odir_StripCase_func(os2dir_StripCase);
extern odir_GetCurrDir_func(os2dir_GetCurrDir);
#define os2dir_IsFullSpec(s) (*(s) == '\\' || *(s) == ':' ? TRUE : FALSE)

extern ofile_IsValid_func(os2file_IsValid);
extern odir_IsValid_func(os2dir_IsValid);
extern odir_MakePath_func(os2dir_MakePath);

#define odir_Ascend			os2dir_Ascend
#define odir_Descend		os2dir_Descend
#define odir_Split			os2dir_Split
#define odir_Join			os2dir_Join
#define odir_StripCase		os2dir_StripCase
#define odir_GetCurrDir		os2dir_GetCurrDir
#define odir_IsFullSpec		os2dir_IsFullSpec

#define ofile_IsValid		os2file_IsValid
#define odir_IsValid		os2dir_IsValid
#define odir_MakePath		os2dir_MakePath
#endif

